ENUM IRQ_GC_FLAGS(9)

NAME
enum_irq_gc_flags - Initialization flags for generic irq chips

SYNOPSIS

enum irq_gc_flags {
  IRQ_GC_INIT_MASK_CACHE,
  IRQ_GC_INIT_NESTED_LOCK,
  IRQ_GC_MASK_CACHE_PER_TYPE,
  IRQ_GC_NO_MASK,
  IRQ_GC_BE_IO
};

CONSTANTS

IRQ_GC_INIT_MASK_CACHE
    Initialize the mask_cache by reading mask reg

IRQ_GC_INIT_NESTED_LOCK
    Set the lock class of the irqs to nested for irq chips which need to call irq_set_wake on the parent irq. Usually GPIO implementations

IRQ_GC_MASK_CACHE_PER_TYPE
    Mask cache is chip type private

IRQ_GC_NO_MASK
    Do not calculate irq_data->mask

IRQ_GC_BE_IO
    Use big-endian register accesses (default: LE)

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT